Bug 254136 - gimp-2.4.0-0.rc1.1.fc8 locks up on Scale Image
gimp-2.4.0-0.rc1.1.fc8 locks up on Scale Image
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 07:59 EDT by Steven Usdansky
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 08:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Usdansky 2007-08-24 07:59:03 EDT
Description of problem:
Gimp locks up on Scale Image. Dialog box shows image size and dpi but no other text.

Version-Release number of selected component (if applicable):
gimp-2.4.0-0.rc1.1.fc8

How reproducible:
100% of the more than 10 times I have tried it


Steps to Reproduce:
1. Run gimp from terminal window
2. load image
3. Image -> Scale Image
  
Actual results:
locks up as described above

Expected results:
dialog box that will let me choose how I wish to scale the image

Additional info:
~$ gimp
Gtk-Message: Failed to load module "gnomebreakpad":
libgnomebreakpad.so: cannot open shared object file: No such file or
directory

(gimp:2673): Gtk-WARNING **: Debug: missing action debug-menu
Gtk-Message: Failed to load module "gnomebreakpad":
libgnomebreakpad.so: cannot open shared object file: No such file or
directory jpeg-load: found EXIF block (14396 bytes) *** glibc detected
*** gimp: double free or corruption (out): 0x09bcb630 *** =======
Backtrace: ========= /lib/libc.so.6[0x430fa1]
/lib/libc.so.6(cfree+0x90)[0x4345d0]
/lib/libglib-2.0.so.0(g_free+0x31)[0x5b6881]
/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so[0xe83e16]
/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so[0xe82093]
/usr/lib/libgtk-x11-2.0.so.0(gtk_paint_box+0xaa)[0xb8428a]
/usr/lib/libgtk-x11-2.0.so.0[0xb26618]
/usr/lib/libgtk-x11-2.0.so.0[0xafcfa2]
/lib/libgobject-2.0.so.0[0x65f749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x66103c]
/lib/libgobject-2.0.so.0[0x671cf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x67298f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x672d89]
/usr/lib/libgtk-x11-2.0.so.0[0xc36868]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0xa4c024]
/usr/lib/libgtk-x11-2.0.so.0[0xa4c076]
/usr/lib/libgtk-x11-2.0.so.0[0xb8d96a]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0xa4cc5b]
/usr/lib/libgtk-x11-2.0.so.0[0xa4cd63]
/usr/lib/libgtk-x11-2.0.so.0[0xafcfa2]
/lib/libgobject-2.0.so.0[0x65f749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x66103c]
/lib/libgobject-2.0.so.0[0x671cf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x67298f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x672d89]
/usr/lib/libgtk-x11-2.0.so.0[0xc36868]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0xa4c024]
/usr/lib/libgtk-x11-2.0.so.0[0xa4c076]
/usr/lib/libgtk-x11-2.0.so.0[0xa02060]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0xa4cc5b]
/usr/lib/libgtk-x11-2.0.so.0[0xa4cd63]
/usr/lib/libgtk-x11-2.0.so.0[0xafcfa2]
/lib/libgobject-2.0.so.0[0x65f749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x66103c]
/lib/libgobject-2.0.so.0[0x671cf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x67298f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x672d89]
/usr/lib/libgtk-x11-2.0.so.0[0xc36868]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0xa4c024]
/usr/lib/libgtk-x11-2.0.so.0[0xa4c076]
/usr/lib/libgtk-x11-2.0.so.0[0xa02060]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0xa4cc5b]
/usr/lib/libgtk-x11-2.0.so.0[0xa4cd63]
/usr/lib/libgtk-x11-2.0.so.0[0xafcfa2]
/lib/libgobject-2.0.so.0[0x65f749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x66103c]
/lib/libgobject-2.0.so.0[0x671cf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x67298f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x672d89]
/usr/lib/libgtk-x11-2.0.so.0[0xc36868]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x204)[0xa4c024]
/usr/lib/libgtk-x11-2.0.so.0[0xa4c076]
/usr/lib/libgtk-x11-2.0.so.0[0xaab817]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x6b)[0xa4cc5b]
/usr/lib/libgtk-x11-2.0.so.0[0xa4cd63]
/usr/lib/libgimpwidgets-2.0.so.0[0x13f4e1]
/usr/lib/libgtk-x11-2.0.so.0[0xafcfa2]
/lib/libgobject-2.0.so.0[0x65f749]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x66103c]
/lib/libgobject-2.0.so.0[0x671cf3]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x68f)[0x67298f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x672d89]
/usr/lib/libgtk-x11-2.0.so.0[0xc36868]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00221000 r-xp 00000000 08:06
66313      /usr/lib/libgimpwidgets-2.0.so.0.400.0 00221000-00225000
rwxp 0010f000 08:06 66313      /usr/lib/libgimpwidgets-2.0.so.0.400.0
00225000-00229000 r-xp 00000000 08:06
65837      /usr/lib/libgimpmodule-2.0.so.0.400.0 00229000-0022a000 rwxp
00003000 08:06 65837      /usr/lib/libgimpmodule-2.0.so.0.400.0
0022a000-00234000 r-xp 00000000 08:06
65833      /usr/lib/libgimpcolor-2.0.so.0.400.0 00234000-00235000 rwxp
0000a000 08:06 65833      /usr/lib/libgimpcolor-2.0.so.0.400.0
00235000-0023c000 r-xp 00000000 08:06
65970      /usr/lib/libgimpthumb-2.0.so.0.400.0 0023c000-0023d000 rwxp
00006000 08:06 65970      /usr/lib/libgimpthumb-2.0.so.0.400.0
0023d000-00242000 r-xp 00000000 08:06
65835      /usr/lib/libgimpmath-2.0.so.0.400.0 00242000-00243000 rwxp
00004000 08:06 65835      /usr/lib/libgimpmath-2.0.so.0.400.0
00243000-00250000 r-xp 00000000 08:06
69934      /usr/lib/libgimpconfig-2.0.so.0.400.0 00250000-00251000 rwxp
0000c000 08:06 69934      /usr/lib/libgimpconfig-2.0.so.0.400.0
00251000-00264000 r-xp 00000000 08:06
65831      /usr/lib/libgimpbase-2.0.so.0.400.0 00264000-00266000 rwxp
00013000 08:06 65831      /usr/lib/libgimpbase-2.0.so.0.400.0
00266000-002fd000 r-xp 00000000 08:06
66311      /usr/lib/libgdk-x11-2.0.so.0.1106.0 002fd000-00300000 rwxp
00096000 08:06 66311      /usr/lib/libgdk-x11-2.0.so.0.1106.0
00300000-00381000 r-xp 00000000 08:06
656503     /usr/lib/libcairo.so.2.11.5 00381000-00383000 rwxp 00081000
08:06 656503     /usr/lib/libcaigimp: terminated: Aborted
Comment 1 Nils Philippsen 2007-08-31 08:54:29 EDT
Works for me with current svn revision on x86_64/F7. A second RC is due soon.
Comment 2 Steven Usdansky 2007-08-31 12:17:56 EDT
And it works for me on my laptop. When I get back to my desktop (in a couple of
weeks), I'll try the next rc.
Comment 3 Nils Philippsen 2007-09-05 03:18:43 EDT
Should be fixed in gimp-2.4.0-0.rc2.1.fc8, please check.
Comment 4 Steven Usdansky 2007-09-05 08:28:32 EDT
rc2.1 works well on my laptop and even seems to load a bit faster than rc1.1.
I'm sure my desktop machine can be persuaded to behave with the new version.

Note You need to log in before you can comment on or make changes to this bug.